MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
compress.h File Reference
`#include <stdint.h>`
Include dependency graph for compress.h:

Go to the source code of this file.

## Data Structures
struct | CompressorConfig
| Configuration values for the compressor object. More...

## Functions
struct Compressor * | Compressor_new (unsigned int history)
| Create a new compressor (use history value of 0 for default) More...
void | Compressor_delete (struct Compressor *)
| Delete a compressor. More...
void | Compressor_setHistory (struct Compressor *, unsigned int history)
| Set the history length. More...
struct CompressorConfig * | Compressor_getConfig (struct Compressor *)
| Get the configuration for a compressor. More...
void | Compressor_Process_int16 (struct Compressor *, int16_t *data, unsigned int count)
| Process 16-bit signed data. More...

## Function Documentation

void Compressor_delete | ( | struct Compressor * |  | ) |

Delete a compressor.

struct CompressorConfig* Compressor_getConfig | ( | struct Compressor * |  | ) |

Get the configuration for a compressor.

struct Compressor* Compressor_new | ( | unsigned int | history | ) |

Create a new compressor (use history value of 0 for default)

void Compressor_Process_int16 | ( | struct Compressor * | ,
|  | int16_t * | data,
|  | unsigned int | count
| ) |  |

Process 16-bit signed data.

void Compressor_setHistory | ( | struct Compressor * | ,
|  | unsigned int | history
| ) |  |

Set the history length.